亚马逊 API - 商品热门评价 (V1)
检索基于提供的ASIN获取亚马逊产品的热门(最相关或最有帮助)公开评论。 返回评论详情,如评论ID、评论者姓名、评分、 评论标题、评论内容、发布时间和有用投票数(如果可用)。
典型用例:
- 情感分析和消费者反馈跟踪
- 产品研究和质量评估
- 监控竞争对手客户体验
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
token | query | string | 是 | 此API服务的鉴权令牌。 |
asin | query | string | 是 | ASIN(亚马逊标准识别号)。 |
代码示例
💡 环境说明
默认示例使用 https://api.justoneapi.com (prod-global)。中国大陆地区建议替换为 http://47.117.133.51:30015 (prod-cn) 以获得更好的访问体验。详见 环境选择。
bash
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/amazon/get-product-top-reviews/v1?token=YOUR_API_KEY&asin=VALUE"text
我想使用 Just One API 提供的“商品热门评价 (V1)”接口。
接口地址: https://api.justoneapi.com/api/amazon/get-product-top-reviews/v1
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/amazon-apis/product-top-reviews-v1-zh.json
请求参数说明:
- token (query): 此API服务的鉴权令牌。 (必填)
- asin (query): ASIN(亚马逊标准识别号)。 (必填)
返回格式: JSON
响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
- 0: 成功
- 100: Token 无效或已失效
- 301: 采集失败,请重试
- 302: 超出速率限制
- 303: 超出每日配额
- 400: 参数错误
- 500: 内部服务器错误
- 600: 权限不足
- 601: 余额不足
请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。python
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import requests
url = "https://api.justoneapi.com/api/amazon/get-product-top-reviews/v1?token=YOUR_API_KEY&asin=VALUE"
response = requests.get(url)
print(response.json())js
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/amazon/get-product-top-reviews/v1?token=YOUR_API_KEY&asin=VALUE", {
method: "GET"
});
const data = await response.json();
console.log(data);java
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.justoneapi.com/api/amazon/get-product-top-reviews/v1?token=YOUR_API_KEY&asin=VALUE"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}go
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
client := &http.Client{}
url := "https://api.justoneapi.com/api/amazon/get-product-top-reviews/v1?token=YOUR_API_KEY&asin=VALUE"
req, _ := http.NewRequest("GET", url, nil)
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}php
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/amazon/get-product-top-reviews/v1?token=YOUR_API_KEY&asin=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;响应结果
json
{
"code": 0,
"data": {
"asin": "B0CXHM344N",
"country": "US",
"domain": "www.amazon.com",
"rating_distribution": {
"1": 8,
"2": 3,
"3": 7,
"4": 9,
"5": 73
},
"reviews": [
{
"review_id": "RTTMMO0CU30KS",
"review_title": "Petkit ftw- best on the market",
"review_comment": "I have tried many water fountains from plastic to stainless steel and of all of them, even purchased a Petlibro water fountains as well. But This outshines the Petlibro one and The best part, it cost less, works better and is completely silent. Unlike Petlibro, petkit app functions well, is data driven and neat and orderly. It gives you data on how many times your fur babies are visiting the water, how long your battery will last off power cord, and allow you to set up how long you want your fountain to run while giving you an accurate battery life adjustment. Im only a couple months in, but love this water fountain so much. It is better than petlibro's water fountains (I have bought all of them and donated most of them). I still have petlibro's docking system one and abhor how much water is wasted by my cats licking the water on the side and spilling it. The water remains in the petkit fountain, no mess or spills, and no concerns about the battery getting wet, or even the charging cords from condensation or spills. This water fountain is the best on the market so far and I hope it lasts me a long while. I would like to get another one, but am waiting for the Petlibro one to die first. I now need an automatic food dispenser that is rfid/microchip readable from petkit please with camera! The petlibro one sucks and keeps kicking me off the app or on wifi and food gets stuck constantly! Please make this happen as I know petkit can do it better!",
"review_star_rating": "5",
"review_link": "https://www.amazon.com/gp/customer-reviews/RTTMMO0CU30KS",
"review_author_id": "AH3LAIXLH7T2NHHPMEDTCBZEOS5A",
"review_author": "Kindle Customer",
"review_author_url": "https://www.amazon.com/gp/profile/amzn1.account.AH3LAIXLH7T2NHHPMEDTCBZEOS5A",
"review_author_avatar": "https://m.media-amazon.com/images/S/amazon-avatars-global/default.png",
"review_images": [],
"review_video": null,
"review_date": "Reviewed in the United States on June 14, 2025",
"is_verified_purchase": true,
"helpful_vote_statement": "20 people found this helpful",
"reviewed_product_asin": "B0CXHM344N",
"reviewed_product_variant": {
"Color": "White-Cordless",
"Size": "3L"
},
"is_vine": false
},
{
"review_id": "R27427JMY231GA",
"review_title": "Great cat fountain with a great capacity and price.",
"review_comment": "I absolutely LOVE this water fountain for my three cats. I have tried a cheap plastic one from Walmart, a bigger ceramic one from Chewy, and then a big one gallon stainless steel one from Chewy. Every single one of these bowls were such a hassle to clean with crevices you can't get to or plastic parts and the ceramic or stainless steel ending up receiving a biofilm from the cats. Granted I've only had this fountain for a week, and I will update it if anything changes, however so far this is amazing. The ingenuity of using wireless power to operate the pump is probably one of the greatest features alone. I didn't think much of it when I made my purchase, but not having to fiddle with running the cord properly from the bowl to the outlet is just a God send. This fountain holds 3L of water, which is not too far from a gallon of water. The nice thing about this fountain is the majority of the water is enclosed where no dust, bugs, or any debris will get into the water. The stainless steel water dish has a non stick coating and is a shallow dish. Which is very nice to help prevent water from getting filthy and the dish easy to clean preventing biofilm build up. The fact that this fountain has an app to help track how often your pets are using the fountain is just amazing. It has a lot of different modes and when you run it purely on the battery you can set how often the water circulates and also turn on sensor mode so when your cat comes to drink it cycles the water. This water fountain also comes with, and I know this sounds weird to be excited about, but a really well made pipe cleaner with tweezers at the other end. After a week, I tool it apart to clean and it only took a few short minutes and I was so impressed to see very little hair in the main water reservoir. I can't say enough great things and I hope the days, weeks, months, and years to come this fountain will continue to serve me well. One more note, PetKit also sells a pump that sterlizes water using UV. I'm definitely going to be upgrading my pump after this great experience.",
"review_star_rating": "5",
"review_link": "https://www.amazon.com/gp/customer-reviews/R27427JMY231GA",
"review_author_id": "AHRLNMQLLW6KBWQ7NAARI4ISEADA",
"review_author": "Gerardo N Ruiz",
"review_author_url": "https://www.amazon.com/gp/profile/amzn1.account.AHRLNMQLLW6KBWQ7NAARI4ISEADA",
"review_author_avatar": "https://m.media-amazon.com/images/S/amazon-avatars-global/default.png",
"review_images": [],
"review_video": null,
"review_date": "Reviewed in the United States on March 3, 2025",
"is_verified_purchase": true,
"helpful_vote_statement": "28 people found this helpful",
"reviewed_product_asin": "B0CXHM344N",
"reviewed_product_variant": {
"Color": "White-Cordless",
"Size": "3L"
},
"is_vine": false
},
{
"review_id": "R19MOSBSMAT5QV",
"review_title": "I’ve tried a bunch of these and this is the one!",
"review_comment": "This is a great drinking fountain for a cat. It holds over a week’s worth of water. Keeps the water moving and filtered. My cat likes the moving water. And I like seeing how often she drinks from it. The app shows usage info as well as reminders to add water, clean, change filters, etc. I have tried quite a few of these and this is my favorite. Design is great and it just works. It’s well built. I think it is worth the price. However, I do get the replacement filters from a 3rd party on Amazon because they are way cheaper than name brand.",
"review_star_rating": "5",
"review_link": "https://www.amazon.com/gp/customer-reviews/R19MOSBSMAT5QV",
"review_author_id": "AFQCWX5XL2WSJVSZMBYHHOLGHLMA",
"review_author": "chris schwartz",
"review_author_url": "https://www.amazon.com/gp/profile/amzn1.account.AFQCWX5XL2WSJVSZMBYHHOLGHLMA",
"review_author_avatar": "https://m.media-amazon.com/images/S/amazon-avatars-global/default.png",
"review_images": [],
"review_video": null,
"review_date": "Reviewed in the United States on January 3, 2026",
"is_verified_purchase": true,
"helpful_vote_statement": "2 people found this helpful",
"reviewed_product_asin": "B0CXHM344N",
"reviewed_product_variant": {
"Color": "White-Cordless",
"Size": "3L"
},
"is_vine": false
},
{
"review_id": "R3NAK4EPN3PY1D",
"review_title": "Smart Hydration Solution for Our Pups!",
"review_comment": "After trying a few different options, we finally found the perfect cordless water fountain for our two golden retrievers! It took them about a day to get used to it, but now it works flawlessly. The setup was simple, and the app is incredibly helpful for tracking their water intake trends. We especially love the motion detection feature—it activates when our pups approach, so we worry less about refilling and more about keeping them hydrated. It also has decent capacity, we refill it every couple of days. Couldn’t be happier with this purchase!",
"review_star_rating": "5",
"review_link": "https://www.amazon.com/gp/customer-reviews/R3NAK4EPN3PY1D",
"review_author_id": "AHBLMNOEWVUCPHCZDFG5CMOX5UHA",
"review_author": "Raphael Parrado",
"review_author_url": "https://www.amazon.com/gp/profile/amzn1.account.AHBLMNOEWVUCPHCZDFG5CMOX5UHA",
"review_author_avatar": "https://m.media-amazon.com/images/S/amazon-avatars-global/default.png",
"review_images": [],
"review_video": null,
"review_date": "Reviewed in the United States on October 26, 2025",
"is_verified_purchase": true,
"helpful_vote_statement": "One person found this helpful",
"reviewed_product_asin": "B0CXHM344N",
"reviewed_product_variant": {
"Color": "White-Cordless",
"Size": "3L"
},
"is_vine": false
},
{
"review_id": "ROPNN1NYJEKQ5",
"review_title": "Great product, easy to clean",
"review_comment": "No noise at all! Very easy to assemble, and easy to clean. Just not that smart for sensing, only continuous water flow is great. But that’s fine for my cat he loves water flow. The price is a little bit too high",
"review_star_rating": "4",
"review_link": "https://www.amazon.com/gp/customer-reviews/ROPNN1NYJEKQ5",
"review_author_id": "AF5SDGBY466LTYXQOZI6F3VYZT6A",
"review_author": "CY",
"review_author_url": "https://www.amazon.com/gp/profile/amzn1.account.AF5SDGBY466LTYXQOZI6F3VYZT6A",
"review_author_avatar": "https://m.media-amazon.com/images/S/amazon-avatars-global/default.png",
"review_images": [],
"review_video": null,
"review_date": "Reviewed in the United States on November 26, 2025",
"is_verified_purchase": true,
"reviewed_product_asin": "B0CXHM344N",
"reviewed_product_variant": {
"Color": "White-Dishwasher Safe",
"Size": "3L"
},
"is_vine": false
},
{
"review_id": "R33OD211YANAXV",
"review_title": "Perfect",
"review_comment": "This fountain is perfect for our cat! Too heavy for him to knock over or move easily but not too heavy to lift with it full. The design is great because there is no way for him to knock out the section wear the water pools. It locks in. It was super easy to put together & clean. It's super quiet! I have to check app or look close to see if it's working. We've not had any issues with it at all! Good quality parts.",
"review_star_rating": "5",
"review_link": "https://www.amazon.com/gp/customer-reviews/R33OD211YANAXV",
"review_author_id": "AGVUV5YMYN5CHX65MUNJXNUSJ6CQ",
"review_author": "Amazon Customer",
"review_author_url": "https://www.amazon.com/gp/profile/amzn1.account.AGVUV5YMYN5CHX65MUNJXNUSJ6CQ",
"review_author_avatar": "https://m.media-amazon.com/images/S/amazon-avatars-global/default.png",
"review_images": [],
"review_video": null,
"review_date": "Reviewed in the United States on November 14, 2025",
"is_verified_purchase": true,
"helpful_vote_statement": "6 people found this helpful",
"reviewed_product_asin": "B0CXHM344N",
"reviewed_product_variant": {
"Color": "White-Cordless",
"Size": "3L"
},
"is_vine": false
}
]
}
}💡 提示:为简化展示,列表类数据样例仅保留 1-2 条记录,实际返回条数以接口响应为准。
